﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;
using Infragistics.Windows.Editors;
using System.Diagnostics;

namespace XamComboEditorSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public List<A2> LegalEntityNames { get; set; }
        public List<Data> Data { get; set; }

        public MainWindow()
        {
            InitializeComponent();

            Data = new List<Data>();
            Data.Add(new Data() { Tel_Code = "Admin", Id = 0 });
            Data.Add(new Data() { Tel_Code = "Sales", Id = 1 });
            Data.Add(new Data() { Tel_Code = "Admin", Id = 2 });
            Data.Add(new Data() { Tel_Code = "Accounting", Id = 3 });

            LegalEntityNames = new List<A2>();
            LegalEntityNames.Add(new A2() { Tel_Code = "Admin", Tel_Desc = "Admin" });
            LegalEntityNames.Add(new A2() { Tel_Code = "Sales", Tel_Desc = "Sales" });
            LegalEntityNames.Add(new A2() { Tel_Code = "Board of Directors", Tel_Desc = "Board of Directors" });
            LegalEntityNames.Add(new A2() { Tel_Code = "Accounting", Tel_Desc = "Accounting" });
            LegalEntityNames.Add(new A2() { Tel_Code = "Human Resources", Tel_Desc = "Human Resources" });
            this.DataContext = this;
            
        }
    }

    public class A2
    {
        public virtual string Tel_Code { get; set; } 
        public virtual string Tel_Desc { get; set; } 
    }


    public class Data : INotifyPropertyChanged
    {
        private string tel_Code;

        public string Tel_Code
        {
            get { return tel_Code; }
            set 
            { 
                tel_Code = value;
                PropChanged("Tel_Code");
            }
        }

        public int Id { get; set; }

        public event PropertyChangedEventHandler PropertyChanged;

        public void PropChanged(string name)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(name));
        }
    }
}
